polywog
=======

`polywog` is an R package by [Brenton Kenkel](http://www.bkenkel.com/) and
[Curtis Signorino](http://www.rochester.edu/college/psc/signorino/) containing
routines for flexible functional form estimation via basis regression with
oracle-penalized model selection.  You can install the most recent stable
version of the package
[from CRAN](https://cran.r-project.org/package=polywog) by
running

```r
install.packages("polywog")
```

in an R console.

To request a feature or report a bug, please visit the package's [project page
on Github](https://github.com/brentonk/polywog-package).  The package's
[change log](https://github.com/brentonk/polywog-package/blob/master/NEWS.md)
can also be viewed there.

The statistical methods implemented in `polywog` are documented and applied in
the following working papers:

* ["Bootstrapped Basis Regression with Variable Selection: A New Method for
Flexible Functional Form Estimation"](http://bkenkel.com/data/basics.pdf)

* "An Alternative Solution to the Heckman Selection Problem: Selection Bias as Functional Form Misspecification"

* "Data Mining for Theorists"
